From: Jordan Justen <jordan.l.justen@intel.com>
Date: Mon, 9 Mar 2020 01:47:42 -0700
Subject: renderdoc: Use libstb if found by cmake

Signed-off-by: Jordan Justen <jordan.l.justen@intel.com>
---
 renderdoc/CMakeLists.txt | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

diff --git a/renderdoc/CMakeLists.txt b/renderdoc/CMakeLists.txt
index ea38f86..382d1fe 100644
--- a/renderdoc/CMakeLists.txt
+++ b/renderdoc/CMakeLists.txt
@@ -271,16 +271,25 @@ set(sources
     3rdparty/zstd/zstd_opt.h
     3rdparty/zstd/zstdmt_compress.c
     3rdparty/zstd/zstdmt_compress.h
-    3rdparty/stb/stb_image.h
-    3rdparty/stb/stb_image_write.h
-    3rdparty/stb/stb_image_resize.h
-    3rdparty/stb/stb_impl.c
-    3rdparty/stb/stb_truetype.h
     3rdparty/tinyexr/tinyexr.cpp
     3rdparty/tinyexr/tinyexr.h
     3rdparty/tinyfiledialogs/tinyfiledialogs.c
     3rdparty/tinyfiledialogs/tinyfiledialogs.h)
 
+find_library(STB_LIBRARY stb)
+if ( NOT STB_LIBRARY )
+    message(FATAL_ERROR "libstb not found!")
+    list(APPEND sources
+        3rdparty/stb/stb_image.h
+        3rdparty/stb/stb_image_write.h
+        3rdparty/stb/stb_image_resize.h
+        3rdparty/stb/stb_impl.c
+        3rdparty/stb/stb_truetype.h)
+else()
+    list(APPEND RDOC_LIBRARIES PRIVATE ${STB_LIBRARY})
+endif()
+
+
 if(ANDROID)
     list(APPEND sources
         data/embedded_files.h
